QwtPolygonFData(3)

NAME
QwtPolygonFData -

SYNOPSIS

#include <qwt_data.h>

Inherits QwtData.

  Public Member Functions
QwtPolygonFData (const QPolygonF &)
virtual QwtData * copy () const
const QPolygonF & data () const
QwtPolygonFData & operator= (const QwtPolygonFData &)
virtual size_t size () const
virtual double x (size_t i) const
virtual double y (size_t i) const

  Additional Inherited Members

Detailed Description

Data class containing a single QwtArray<QwtDoublePoint> object.

Constructor & Destructor Documentation

  QwtPolygonFData::QwtPolygonFData (const QPolygonF &polygon)
Constructor

Parameters:
    polygon Polygon data

See also:
    QwtPlotCurve::setData()

Member Function Documentation

  QwtData * QwtPolygonFData::copy () const [virtual]
Returns:
    Pointer to a copy (virtual copy constructor)

Implements QwtData.

  const QPolygonF & QwtPolygonFData::data () const
Returns:
    Point array

  size_t QwtPolygonFData::size () const [virtual]
Returns:
    Size of the data set

Implements QwtData.

  double QwtPolygonFData::x (size_ti) const [virtual]
Return the x value of data point i

Parameters:
    i Index

Returns:
    x X value of data point i

Implements QwtData.

  double QwtPolygonFData::y (size_ti) const [virtual]
Return the y value of data point i

Parameters:
    i Index

Returns:
    y Y value of data point i

Implements QwtData.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.